Subject: bug#72496: 31.0.50; macOS: freezes without beach ball

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Aug 2024 17:53:17 +0300

> From: Gerd Möllmann <[email-masked]>
> Date: Tue, 06 Aug 2024 15:39:43 +0200
> 
> We call [NSApplicaton stop] in our [EmacsApp sendEvent] method. To get
> there, we post special application-defined events to the application
> which [NSApplication run] processes and dispatches via sendEvent which
> calls stop and makes [NSApplication run] return to its caller.

Is there any way to initiate posting that "special application-defined
event" when Emacs is stuck thusly?  For example, from some system
signal-like event, or from a debugger?  Then you at least would have a
fire escape.